package cn.com.countrygarden.bi.main.service.review;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.review.ReviewEvaluate;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 评价表-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-07-06
 */
public interface ReviewEvaluateService {

    Result queryPageList(ReviewEvaluate reviewEvaluate, int page, int size);

    Result queryById(Integer id);

    Result add(ReviewEvaluate reviewEvaluate, AccessToken accessToken);

    Result edit(ReviewEvaluate reviewEvaluate, AccessToken accessToken);

    Result del(Integer id);
}